{{- if .Values.secret.enabled -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ .Release.Name }}-secret
data:
  username: {{ .Values.secret.username }}
  password: {{ .Values.secret.password }}
  host: {{ .Values.secret.host }}
{{- end}}